<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('currencies', function (Blueprint $table) {
            $table->id();
            $table->boolean('status')->default(true); // Aktif mi?
            $table->boolean('is_default')->default(false); // Yerel para birimi mi?
            $table->string('country')->nullable(); // Para biriminin ait olduğu ülke
            $table->json('countries')->nullable(); // Birden fazla ülke varsa JSON formatında
            $table->string('code', 3)->unique(); // Para birimi kodu (ISO)
            $table->string('name'); // Para birimi adı
            $table->string('prefix')->nullable(); // Para birimi simgesi (örn: $)
            $table->string('suffix')->nullable(); // Para birimi simgesi son eki (örn: TL)
            $table->decimal('rate', 15, 8)->default(0.00000000); // Dönüşüm oranı
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('currencies');
    }
};
